/*  XMPS - X MPEG Player System
 *  Copyright (C) 1999 Damien Chavarria
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *  skins_draw_buttons.h
 *
 *  Functions for handling the buttons.xpm
 *  @Author : Damien Chavarria (1999)
 *
 */

#ifndef _XMPS_SKINS_BUTTON_H
#define _XMPS_SKINS_BUTTON_H

/* INCLUDES */

#include "xmps_graphics.h"
#include "skins_pixmaps.h"
#include "libxmps/libxmps.h"
#include "libxmpsutils/libxmpsutils.h"

/* FUNCTIONS */

void draw_rewind_button(gint state, GtkWidget *widget);
/* draws the rewind button, state is either NORMAL or PUSHED */
void draw_stop_button(gint state, GtkWidget *widget);
/* draws the stop button, state is either NORMAL or PUSHED */
void draw_play_button(gint state, GtkWidget *widget);
/* draws the play button, state is either NORMAL or PUSHED */
void draw_pause_button(gint state, GtkWidget *widget);
/* draws the pause button, state is either NORMAL or PUSHED */
void draw_fast_forward_button(gint state, GtkWidget *widget);
/* draws the fast forward button, state is either NORMAL or PUSHED */
void draw_load_button(gint state, GtkWidget *widget);
/* draws the load button, state is either NORMAL or PUSHED */

#endif
